v1-interview
Start Participant Interview
Start Participant Interview
curl --request POST \
--url https://api.example.com/v1/participant/interview/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/interview/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/interview/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/interview/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/interview/start"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/participant/interview/start")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/interview/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connection": {
"expires_at": "2023-11-07T05:31:56Z",
"participant_token": "<string>",
"server_url": "<string>"
},
"interview": {
"available": true,
"consented": true,
"status": "not_started",
"agent_connected": false,
"attempt": 0,
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_kind": "question",
"item_text": "<string>",
"missing": [
{
"id": "<string>",
"kind": "question",
"label": "<string>",
"section_id": "<string>"
}
],
"paused_reason": "<string>",
"pending_proposal": {
"confirmation_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "answer",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"previous_answer": {},
"proposed_answer": {}
},
"progress": 0,
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"ready_to_finish": false,
"revision": 0,
"scenario": {
"follow_ups_remaining": 1,
"follow_ups_used": 1,
"framing": "stated_intention",
"id": "<string>",
"prompt": "<string>"
},
"section": {
"answered": 1,
"count": 2,
"id": "<string>",
"position": 2,
"title": "<string>",
"total": 1,
"description": "<string>"
},
"target_minutes_max": 123,
"target_minutes_min": 123,
"unavailable_reason": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}⌘I
Start Participant Interview
curl --request POST \
--url https://api.example.com/v1/participant/interview/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/interview/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/interview/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/interview/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/interview/start"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/participant/interview/start")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/interview/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connection": {
"expires_at": "2023-11-07T05:31:56Z",
"participant_token": "<string>",
"server_url": "<string>"
},
"interview": {
"available": true,
"consented": true,
"status": "not_started",
"agent_connected": false,
"attempt": 0,
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_kind": "question",
"item_text": "<string>",
"missing": [
{
"id": "<string>",
"kind": "question",
"label": "<string>",
"section_id": "<string>"
}
],
"paused_reason": "<string>",
"pending_proposal": {
"confirmation_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "answer",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"previous_answer": {},
"proposed_answer": {}
},
"progress": 0,
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"ready_to_finish": false,
"revision": 0,
"scenario": {
"follow_ups_remaining": 1,
"follow_ups_used": 1,
"framing": "stated_intention",
"id": "<string>",
"prompt": "<string>"
},
"section": {
"answered": 1,
"count": 2,
"id": "<string>",
"position": 2,
"title": "<string>",
"total": 1,
"description": "<string>"
},
"target_minutes_max": 123,
"target_minutes_min": 123,
"unavailable_reason": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}